create_circle

Primitives2D.create_circle(position, radius, num_sides=0, is_covered=True, name=None, matname=None)[source]

Create a circle.

Parameters
positionlist

ApplicationName.modeler.Position(x,y,z) object

radiusfloat

Radius of the object.

numSidesint, optional

Number of sides. The default is 0, which is correct for a circle.

is_coveredbool

Specify whether the ellipse is a sheet (covered) or a line object

namestr, optional

Name of the object. The default is None. If None , a unique name "NewObject_xxxxxx" will be assigned)

matnamestr, optional

Name of the material. The default is None. If None, the default material is assigned.

Returns
pyaedt.modeler.Object3d.Object3d

Object3d

References

>>> oEditor.CreateCircle

Examples

>>> circle1 = aedtapp.modeler.primitives.create_circle([0, -2, -2], 3)
>>> circle2 = aedtapp.modeler.primitives.create_circle(position=[0, -2, -2], radius=3, num_sides=6,
...                                                     name="MyCircle", matname="Copper")